> ## Documentation Index
> Fetch the complete documentation index at: https://docs.taimly.net/llms.txt
> Use this file to discover all available pages before exploring further.

# Список ящиков

> Все ящики владельца API-ключа, новые первыми.



## OpenAPI

````yaml /openapi.json get /api/mail/mailboxes
openapi: 3.1.0
info:
  title: Taimly API
  version: 1.3.0
  description: >-
    API Taimly: проверка доставляемости email (Spam Check) и временные почты для
    приёма писем.
servers:
  - url: https://taimly.net
    description: Production
security:
  - BearerAuth: []
paths:
  /api/mail/mailboxes:
    get:
      tags:
        - Временные почты
      summary: Список ящиков
      description: Все ящики владельца API-ключа, новые первыми.
      operationId: listMailboxes
      parameters:
        - name: pinned
          in: query
          required: false
          description: >-
            `true` — только ящики, закреплённые на сайте, `false` — только
            незакреплённые. Без параметра — все.
          schema:
            type: boolean
      responses:
        '200':
          description: Ящики
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MailboxListResponse'
              example:
                mailboxes:
                  - id: 3fa1c2d4e5b60718
                    address: anna.smith42@example.com
                    domain: example.com
                    created_at: '2026-10-26T12:00:00Z'
                    pinned: false
                    messages: 1
                    unread: 0
                    last_message_at: '2026-10-26T12:03:41Z'
        '401':
          description: Невалидный или отсутствующий API-ключ
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                detail: Invalid or missing API key
components:
  schemas:
    MailboxListResponse:
      type: object
      properties:
        mailboxes:
          type: array
          items:
            $ref: '#/components/schemas/Mailbox'
    ErrorResponse:
      type: object
      properties:
        detail:
          type: string
          description: Описание ошибки
    Mailbox:
      type: object
      properties:
        id:
          type: string
          description: Идентификатор ящика
        address:
          type: string
          format: email
          description: Адрес ящика
        domain:
          type: string
          description: Домен ящика
        created_at:
          type: string
          format: date-time
          description: Когда создан (UTC)
        pinned:
          type: boolean
          description: Показывается ли в списке на сайте
        messages:
          type: integer
          description: Всего писем
        unread:
          type: integer
          description: Непрочитанных писем
        last_message_at:
          type:
            - string
            - 'null'
          format: date-time
          description: Когда пришло последнее письмо (UTC)
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: >-
        API-ключ. Передаётся в заголовке `Authorization: Bearer <ваш_ключ>`.
        Ключ выдаётся администратором Taimly.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.